Skip to main content
POST
/
filings
/
generate
Generate document from evidence
curl --request POST \
  --url https://cases.platform.arb.inc/filings/generate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "caseID": "2025-08-00292",
  "documentID": "statementOfClaim",
  "evidenceIDs": [
    "2720f109-0caf-4c62-af22-5d08c853711c"
  ]
}
'
{
  "fields": {
    "claimantName": "John Smith",
    "respondentName": "Jane Doe"
  }
}

Authorizations

Authorization
string
header
required

access token

Body

application/json
caseID
string
required
Example:

"2025-08-00292"

documentID
string
required
Example:

"statementOfClaim"

evidenceIDs
string<uuid>[]
required
Example:
["2720f109-0caf-4c62-af22-5d08c853711c"]

Response

200 - application/json

Successfully generated document

fields
object
Example:
{
"claimantName": "John Smith",
"respondentName": "Jane Doe"
}